import * as React from 'react';

import Card from '@mui/material/Card';
// import CardActions from '@mui/material/CardActions';
import CardContent from '@mui/material/CardContent';
// import Button from '@mui/material/Button';
// import Typography from '@mui/material/Typography';
// import Avatar from '@mui/material/Avatar';
import Checkbox from '@mui/material/Checkbox';
// import { deepPurple } from '@mui/material/colors';

import List from '@mui/material/List';
import Tooltip from '@mui/material/Tooltip';
import ListItem from '@mui/material/ListItem';
import ListItemButton from '@mui/material/ListItemButton';
import ListItemIcon from '@mui/material/ListItemIcon';
import ListItemText from '@mui/material/ListItemText';

import AddIcon from '@mui/icons-material/Add';
import RemoveIcon from '@mui/icons-material/Remove';


function CheckboxexHeader(prop) {
  return (
    <List sx={{ width: '100%', bgcolor: 'background.paper' }}>
      <ListItem>
        <ListItemButton role={undefined} dense>
          <ListItemText style={{marginRight :25, color:'silver'}} primary={prop.title} />
          <ListItemIcon>
            <AddIcon />
          </ListItemIcon>
          <ListItemIcon>
            <RemoveIcon />
          </ListItemIcon>
        </ListItemButton>
      </ListItem>
    </List>
  );
}

function CheckboxesGroup(props) {

  const [checked, setChecked] = React.useState([0]);

  const handleToggle = (value) => () => {

    const currentIndex = checked.indexOf(value);
    const newChecked = [...checked];
    if (currentIndex === -1) {
      newChecked.push(value);
    } else {
      newChecked.splice(currentIndex, 1);
    }

    setChecked(newChecked);
  };

  return (
    <List sx={{ width: '100%', bgcolor: 'background.paper' }}>
      {props.quiz.map((value) => {
        const labelId = `checkbox-list-label-${value.id}`;
        return (
          <ListItem key={value.id}>
            <ListItemButton role={undefined} onClick={handleToggle(value)} dense>

              <Tooltip title={value.decription} placement="top-start" arrow>
                <ListItemText className="checkbox_label_question" id={labelId} primary={value.nombre} />
              </Tooltip>

              <ListItemIcon>
                <Checkbox
                  edge="start"
                  checked={checked.indexOf(value) !== -1}
                  tabIndex={-1}
                  disableRipple
                  inputProps={{ 'aria-labelledby': labelId }}
                />
              </ListItemIcon>
              <ListItemIcon>
                <Checkbox
                  edge="start"
                  //checked={}
                  tabIndex={-1}
                  disableRipple
                  inputProps={{ 'aria-labelledby': labelId }}
                />
              </ListItemIcon>
            </ListItemButton>
          </ListItem>
        );
      })}
    </List>
  );
}

export function Question({ quiz }) {
  // console.log('quiz: ', quiz)
  let { instrucciondepregunta, respuestas} = quiz
  return (

    <Card sx={{ minWidth: 275, margin: '30px !important', borderLeft: '5px solid var(--main)'}}>
      <CardContent>

        {/*
        <div sx={{ fontSize: 17 }}>
          <div className="quiz_title_text">
            <Avatar sx={{ bgcolor: deepPurple[500] }}>{id}</Avatar>
            <Typography style={{ paddingLeft: 15 }}>
              {instrucciondepregunta}
            </Typography>
          </div>
        </div>
      */}

        <div variant="body2">
          <List>
            <CheckboxexHeader title={instrucciondepregunta}/>
          </List>
          <CheckboxesGroup quiz={respuestas} />
        </div>
      </CardContent>

        {/*
      <CardActions>
        <Button variant="contained" size="small">Anterior</Button>
        <Button variant="contained" size="small">Siguiente</Button>
      </CardActions>
      */}

    </Card>
  );
}
